Skip to main content
`Ctrl`+`K`

# PetscStrNArrayDestroy

Frees array of strings created with `PetscStrNArrayallocpy()`.

## Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscStrNArrayDestroy(PetscInt n, char ***list)

Not Collective; No Fortran Support

## Output Parameters

- n - number of string entries

- list - array of strings

## See Also

`PetscStrNArrayallocpy()`, `PetscStrArrayallocpy()`

## Level

intermediate

## Location

src/sys/utils/str.c

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages